<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Swarm: Swarm/entity.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Swarm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('entity_8cpp.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">entity.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class representing an <a class="el" href="class_entity.html" title="The Entity class is the main object of the project. Its main goal is to interact with other Entities ...">Entity</a> which goal is to adapt its behaviour depending on its direct neighbours behaviours. It is the main part of our project.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;entity.h&quot;</code><br />
<code>#include &quot;iostream&quot;</code><br />
<code>#include &lt;math.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for entity.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="entity_8cpp__incl.png" border="0" usemap="#_swarm_2entity_8cpp" alt=""/></div>
<map name="_swarm_2entity_8cpp" id="_swarm_2entity_8cpp">
<area shape="rect" id="node2" href="entity_8h_source.html" title="entity.h" alt="" coords="41,80,107,107"/>
</map>
</div>
</div><a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class representing an <a class="el" href="class_entity.html" title="The Entity class is the main object of the project. Its main goal is to interact with other Entities ...">Entity</a> which goal is to adapt its behaviour depending on its direct neighbours behaviours. It is the main part of our project. </p>
<dl class="section author"><dt>Author</dt><dd>Maxence Marot &amp; Nicolas Saunier </dd></dl>
<dl class="section date"><dt>Date</dt><dd>04/05/2020 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_31014ed4b0398a105b104fc30457303f.html">Swarm</a></li><li class="navelem"><a class="el" href="entity_8cpp.html">entity.cpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
